Skip to main content
PATCH
/
projects
/
{id}
Update project
curl --request PATCH \
  --url https://api.pickfu.com/v1/projects/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "goal": "<string>",
  "bookmark": true,
  "archive": true
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "goal": "<string>",
    "archived": true,
    "bookmarked": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "url": "<string>",
    "user": "<string>",
    "surveyCount": 123,
    "surveys": [
      {
        "id": "<string>",
        "name": "<string>",
        "url": "<string>",
        "status": "<string>",
        "type": "<string>",
        "countryCode": "<string>",
        "sampleSize": 123,
        "numResponses": 123,
        "createdAt": "<string>",
        "publishedAt": "<string>",
        "completedAt": "<string>",
        "creatorName": "<string>",
        "targeting": [
          "<string>"
        ],
        "tags": [
          {
            "id": 123,
            "name": "<string>"
          }
        ],
        "projects": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "elements": [
          {
            "id": "<string>",
            "question": "<string>",
            "subtype": "<string>",
            "variant": "<string>",
            "position": 123
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.pickfu.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}

Path Parameters

id
string
required

Project GUID

Body

application/json
name
string

Project name

Maximum string length: 255
description
string

Project description

Maximum string length: 5000
goal
string

Project goal

Maximum string length: 5000
bookmark
boolean

Set to true to bookmark, false to unbookmark

archive
boolean

Set to true to archive, false to unarchive

Response

200 - application/json

Default Response

success
boolean
data
object